Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 625107 - wxMaxima fails to get connection, maxima-runtime-cmucl backend malfunctions
wxMaxima fails to get connection, maxima-runtime-cmucl backend malfunctions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: maxima (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-18 11:48 EDT by Juhamatti Niemelä
Modified: 2011-09-24 23:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:28:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juhamatti Niemelä 2010-08-18 11:48:37 EDT
Description of problem:

When wxMaxima is started there's statusbar text "Maxima started. Waiting for connection" and if command (e.g. 1+1;) is run there will be error popup "Not connected to Maxima!"

Version-Release number of selected component (if applicable):
wxmaxima-0.8.5-1.fc13


Steps to Reproduce:
1. Start wxMaxima
2. Input 1+1;
3. Press Ctrl+R
  
Actual results:
Error popup "Not connected to Maxima!"

Expected results:
2

Additional info:
Tested in freshly installed FC13 with latest updates.
Comment 1 Cassio 2010-08-19 20:07:05 EDT
I'm getting the same problem. Some time ago wxmaxima was working for me. This must have come with some update.

Running vanilla maxima on the terminal gives me the following error (which should be what is blocking wxmaxima also):


Error in function LISP::REINIT-CHAR-ATTRIBUTES:
   Cannot find #P"ext-formats:unidata.bin", so unicode support is not available
   [Condition of type SIMPLE-ERROR]

Restarts:
  0: [CONTINUE] Continue anyway
  1: [ABORT   ] Skip remaining initializations.

Debug  (type H for help)

(LISP::REINIT-CHAR-ATTRIBUTES)
Source: Error finding source: 
Error in function DEBUG::GET-FILE-TOP-LEVEL-FORM:  Source file no longer exists:
  target:code/print.lisp.

apparently print.lisp is needed but is not being found.
Comment 2 Ted 2010-09-20 21:59:25 EDT
I had the same problem (same error messages):

$ wxmaxima
(doesn't work)
$ rm ~/.wxMaxima
$ wxmaxima
(works)
$ (cd; ls .wxMaxima) #hides my user name
ls: cannot access .wxMaxima: No such file or directory
$ > .wxMaxima
$ wxmaxima
(broken again)

also, after each time wxmaxima doesn't work, I need to killall lisp, or else it keeps reading from the terminal and printing text while I type
Comment 3 Rex Dieter 2010-09-25 11:18:25 EDT
For those of you experiencing this, please provide output of the following:

rpm -q --whatprovides maxima-runtime
Comment 4 Rex Dieter 2010-09-25 11:20:29 EDT
And, if it's not the default maxima-runtime-sbcl, please

yum install maxima-runtime-sbcl

and see if the problem is still reproducible.

(and if you've purposely not used the default runtime here, please share why you've done so ... else I'll consider simply removing support for the problematic non-default lisp runtimes),
Comment 5 Ted 2010-09-25 12:31:52 EDT
I forgot to update you guys: I used rpm and figured out that yum installed maxima-runtime-cmucl, instead of maxima-runtime-sbcl. I was reminded to update this bug report by the email from the previois comment.
Comment 6 Juhamatti Niemelä 2010-09-26 04:26:56 EDT
At the time when I reported this, installing wxmaxima with yum install wxmaxima installed maxima-runtime-cmucl instead of sbcl one.

Installing maxima-runtime-sbcl seems to fix this issue.
Comment 7 Cassio 2010-09-26 14:17:50 EDT
Installing maxima-runtime-sbcl also fixes the issue for me. When I installed maxima I didn't choose any optional environment, so I guess the default one is causing problems. However, some time ago the default (cmucl?) runtime was working just fine for me. I think this issue was introduced during some update to the packages.
Comment 8 Jussi Eloranta 2010-10-12 01:16:03 EDT
This one bit me as well - can someone fix the default dependency to sbcl rather than cmucl? (and perhaps fix the cmucl version)
Comment 9 Rex Dieter 2010-10-12 09:41:51 EDT
The default install *should* get sbcl ... I do on my x86_64 box anyway (maybe i686 behaves differently), but we don't enforce this via any hard dependency.  Perhaps we should, to be on the safe side.
Comment 10 Rex Dieter 2010-10-17 15:23:58 EDT
I reproducibly installed maxima-runtime-sbcl by default on a f13 i686 box too.

Adjusting component, summary.

I'll try to investigate maxima-runtime-cmucl shortcomings, and possibly drop it if no better resolution can be found.
Comment 11 Bug Zapper 2011-06-01 07:14:38 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2011-06-28 10:28:21 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Pitam 2011-09-24 23:20:01 EDT
FIxed:

Add this to ~/.wxMaxima:

gnuplot=gnuplot 

and it works!

Note You need to log in before you can comment on or make changes to this bug.